summaryrefslogtreecommitdiffstats
path: root/desktop/plasma-applet-daisy/plasma-applet-daisy.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/plasma-applet-daisy/plasma-applet-daisy.SlackBuild')
-rw-r--r--desktop/plasma-applet-daisy/plasma-applet-daisy.SlackBuild71
1 files changed, 71 insertions, 0 deletions
diff --git a/desktop/plasma-applet-daisy/plasma-applet-daisy.SlackBuild b/desktop/plasma-applet-daisy/plasma-applet-daisy.SlackBuild
new file mode 100644
index 0000000000..b640514464
--- /dev/null
+++ b/desktop/plasma-applet-daisy/plasma-applet-daisy.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+# Build script for plasma-applet-daisy
+
+# Written by Eugene Kommunist Bolotov <lordinferius@gmail.com>
+
+PRGNAM=plasma-applet-daisy
+VERSION=0.0.4.21
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -mtune=i686 -march=i486"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -mtune=i686 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ];then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake \
+-DCMAKE_INSTALL_PREFIX="/usr" \
+-DLIBDIR_SUFFIX=${LIBDIRSUFFIX} \
+.
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGELOG COPYING INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}